Vulnerability & Exploit Database

Back to search

Samba _netr_ServerPasswordSet Uninitialized Credential State

This module checks if a Samba target is vulnerable to an uninitialized variable creds vulnerability.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

auxiliary/scanner/smb/smb_uninit_cred

Authors

  • Richard van Eeden
  • sleepya
  • sinn3r <sinn3r [at] metasploit.com>

References

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use auxiliary/scanner/smb/smb_uninit_cred msf auxiliary(smb_uninit_cred) > show actions ...actions... msf auxiliary(smb_uninit_cred) > set ACTION <action-name> msf auxiliary(smb_uninit_cred) > show options ...show and set options... msf auxiliary(smb_uninit_cred) > run

Related Vulnerabilities